Index: /views/warenkorb/index.phtml
===================================================================
--- /views/warenkorb/index.phtml	(revision 7755)
+++ /views/warenkorb/index.phtml	(revision 7756)
@@ -79,6 +79,9 @@
 			<?php } ?>
 		</span>
-			
+
+        <?php if (get_the_ID() !== intval($this->get_option('wpsg_page_basket'))) { ?>>
 		<input type="button" class="wpsg_button wpshopgermany_linktokasse" onclick="location.href='<?php echo $this->getURL(wpsg_ShopController:: URL_BASKET); ?>';" value="<?php echo __("Zum Warenkorb", "wpsg"); ?>" />
+        <?php } ?>
+
 	<?php } else { ?>
 		<?php echo __("Keine Artikel im Warenkorb", "wpsg"); ?><br />
@@ -97,5 +100,5 @@
 		<?php if ($this->hasMod('wpsg_mod_request') == '1') { ?>
 			<?php if ($this->view['widget_settings']['wpsg_requestpage'] == 1) { ?>
-				<li class="page_item"><a href="<?php echo $this->getURL(wpsg_ShopController::URL_REQUEST); ?>"><?php echo get_the_title($this->get_option('wpsg_page_request')); ?></a></li>
+				<li class="page_item"><a href="<?php echo $this->f(wpsg_ShopController::URL_REQUEST); ?>"><?php echo get_the_title($this->get_option('wpsg_page_request')); ?></a></li>
 			<?php } ?>
 		<?php } ?>
